
      SUBROUTINE Annul(Liaisons,at,atli)
!  Cette routine supprime l'atome atli dans les liaisons de at

!----------------------------------------------------------------------
!  Copyright 2003-2014 Ecole Normale Supérieure de Lyon, 
!  Centre National de la Recherche Scientifique,
!  Université Claude Bernard Lyon 1. All rights reserved.
!
!  This work is registered with the Agency for the Protection of Programs 
!  as IDDN.FR.001.100009.000.S.P.2014.000.30625
!
!  Authors: P. Fleurat-Lessard, P. Dayal
!  Contact: optnpath@gmail.com
!
! This file is part of "Opt'n Path".
!
!  "Opt'n Path" is free software: you can redistribute it and/or modify
!  it under the terms of the GNU Affero General Public License as
!  published by the Free Software Foundation, either version 3 of the License,
!  or (at your option) any later version.
!
!  "Opt'n Path" is distributed in the hope that it will be useful,
!  but WITHOUT ANY WARRANTY; without even the implied warranty of
!
!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
!  GNU Affero General Public License for more details.
!
!  You should have received a copy of the GNU Affero General Public License
!  along with "Opt'n Path". If not, see <http://www.gnu.org/licenses/>.
!
! Contact The Office of Technology Licensing, valorisation@ens-lyon.fr,
! for commercial licensing opportunities.
!----------------------------------------------------------------------
      use Path_module, only : Nat, NMaxL

      INTEGER(4) :: Liaisons(Nat,0:NMaxL),At,Atli,I,J
      I=1
      Do WHILE ((Liaisons(at,I).NE.Atli).AND.(I.LE.Liaisons(at,0)))
       I=I+1
      END DO
      Do J=I,NMaxL-1
        Liaisons(at,J)=Liaisons(at,J+1)
      END DO
        Liaisons(at,NMaxL)=0
      END
